---
title: Mail Mixin
---

## MailMixin

The `MailMixin` class provides basic functionality for processing in- and outgoing mails.

### Sample Plugin

The following example demonstrates how to use the `MailMixin` class to process incoming and outgoing emails:

::: plugin.samples.mail.mail_sample.MailPluginSample
    options:
        show_bases: False
        show_root_heading: False
        show_root_toc_entry: False
        show_source: True
        members: []
